from ti_system import *
from math import *
from random import *
n=1

black=(0,0,0)
green=(0,255,0)
red=(255,0,0)
blue=(0,0,255)

set_window(-159,159,-106,106)
use_buffer()

def background():
  set_color(black)
  fill_rect(-159,-106,318,212)

def curve1(t):
  x=60*cos(t/10)
  y=50*sin(t/20)
  return (x,y)

def curve2(t):
  x=75*cos(t/20)
  y=75*sin(t/50)
  return (x,y)

def draw_curves():
  set_color(red)
  for k in range(0,360*20,20):
    t=radians(k)
    x1,y1=curve1(t)
    x2,y2=curve1(t+0.3)
    draw_line(x1,y1,x2,y2)
  set_color(blue)
  for k in range(0,360*100,20):
    t=radians(k)
    x1,y1=curve2(t)
    x2,y2=curve2(t+0.5)
    draw_line(x1,y1,x2,y2)

curves=False
t=0
key=""
while key not in ("esc","up","right","down","left"," ","tab"):
  background()
  if curves:
    draw_curves()
  set_color(green)
  for i in range(0,n):
    x1,y1=curve1(t+i)
    x2,y2=curve2(t+i)
    draw_line(x1,y1,x2,y2)
  paint_buffer()
  t+=1
  key=get_key()
  if key=="esc": break
  if key in {"up","right"}:
    if n<30:
      n+=1
  if key in {"down","left"}:
    if n>1:
      n-=1
  if key in {" ","tab"}:
    curves = not curves
  key=""
